This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114172 - add link to /ccm/admin/ on user admin tab
add link to /ccm/admin/ on user admin tab
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vadim Nasardinov
Jon Orris
:
Depends On:
Blocks: 106481
  Show dependency treegraph
 
Reported: 2004-01-23 11:37 EST by Richard Li
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 14:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Li 2004-01-23 11:37:22 EST
The user admin tab currently only enables the admin to set the user's
home folder. The name of the tab implies greater functionality.

We can partially meet this goal by adding a link to /ccm/admin/ so
that all the user admin functionality is at least linked from a single
tab.
Comment 1 Vadim Nasardinov 2004-01-26 17:51:18 EST
The user admin tab is displayed conditionally based on whether or not
the logged in user has the SecurityConstants.STAFF_ADMIN privilege on
the current content section.  This is done in generateXML in
//cms/dev/src/com/arsdigita/cms/ui/UserAdminPane.java

The /ccm/admin/ UI is backed by
//core-platform/dev/src/com/arsdigita/ui/admin/AdminDispatcher.java.
It checks if the user has the PrivilegeDescriptor.ADMIN privilege on
the current site node.  (The actual check is performed in the
superclass
//core-platform/dev/src/com/arsdigita/ui/admin/SubsiteDispatcher.java.)

So, these two pages require two different kinds of permission.  Thus,
our options are:

  1. Display the "/ccm/admin/" link on the content section's user
     admin tab regardless of whether the user can access /ccm/admin/
     or not.

  2. Display the link conditionally by checking first if the user will
     be able to actually view /ccm/admin/.  This can be done by
     copying and pasting the permission check from SubsiteDispatcher
     into UserAdminPane.


Which option should I pursue?
Comment 2 Richard Li 2004-01-26 19:02:54 EST
I think the latter is more user friendly.
Comment 3 Vadim Nasardinov 2004-01-27 17:20:39 EST
Fixed on the trunk in change 39810.

In the process of working on this, discovered and eliminated
a particularly egregious instance of copy-and-paste programming.
See change 39792.
Comment 4 Jon Orris 2004-01-28 14:23:47 EST
verified

Note You need to log in before you can comment on or make changes to this bug.